package example;

import org.jboss.ejb3.annotation.Management;

/**
 * This is the @Management interface for ExampleService.
 */
@Management
public interface Example
{
    /**
     * A JBoss lifecycle method called when the service is created.
     */
    public void create();
    
    /**
     * A JBoss lifecycle method called when the service is started.
     */
    public void start();
    
    /**
     * A JBoss lifecycle method called when the service is stopped.
     */
    public void stop();
    
    /**
     * A JBoss lifecycle method called when the service is destroyed.
     */    
    public void destroy();
}